Uploads
Upload File
Upload a media file using multipart form data.
POST
/
v1
/
upload
Upload File
curl --request POST \
--url https://api.turboads.ai/v1/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'project_id=<string>'import requests
url = "https://api.turboads.ai/v1/upload"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "project_id": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('project_id', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.turboads.ai/v1/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "k97file123abc456def789",
"name": "product-reference.png",
"path": "https://media.turboads.ai/workspaces/j57workspace123abc456def789/file-uploads/uuid/product-reference.png",
"workspace_id": "j57workspace123abc456def789",
"project_id": "j97project123abc456def789",
"file_type": "image",
"mime_type": "image/png",
"file_size": 482193,
"created_at": 1782225600000,
"updated_at": 1782225600000
}
}{
"error": {
"code": "invalid_request",
"message": "Required fields are missing or malformed."
}
}{
"error": {
"code": "unauthorized",
"message": "Missing, invalid, or revoked API key."
}
}{
"error": {
"code": "forbidden",
"message": "Project does not belong to this API key workspace."
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded."
},
"retry_after_ms": 1200
}{
"error": {
"code": "internal_error",
"message": "Something went wrong."
}
}Upload an image or video file using multipart form data. The response includes an
Direct multipart uploads are limited to
id and path that can be used as a reference in generation requests.
Accepted MIME types
| Type | MIME types |
|---|---|
| Images | image/jpeg, image/png, image/webp |
| Videos | video/mp4, video/quicktime, video/webm |
20MB.Authorizations
Your TurboAds API key
Body
multipart/form-data
Response
File uploaded successfully
Show child attributes
Show child attributes
⌘I
Upload File

